Loading...
Searching...
No Matches
Rankers Namespace Reference

Utility functionality used to rank sequences. More...

## Functions

template<typename T1 , typename T2 >
void | rankVect (const std::vector< T1 > &vect, T2 &res)
| ranks the entries in a vector

## Variables

auto | pairGreater
auto | pairLess

## Detailed Description

Utility functionality used to rank sequences.

Much of this used to be in GraphMol/RankAtoms.h

## Function Documentation

## rankVect()

template<typename T1 , typename T2 >

void Rankers::rankVect | ( | const std::vector< T1 > & | vect,
|  | T2 & | res
| ) |  |

ranks the entries in a vector

Parameters

  vect | the vector to rank
  res | is used to return the ranks of each entry

Definition at line 43 of file Ranking.h.

References PRECONDITION.

## Variable Documentation

## pairGreater

auto Rankers::pairGreater

inline

Initial value:
= [](const auto &v1, const auto &v2) {
return v1.first > v2.first;
}

Definition at line 27 of file Ranking.h.

## pairLess

auto Rankers::pairLess

inline

Initial value:
= [](const auto &v1, const auto &v2) {
return v1.first < v2.first;
}

function for implementing < on two std::pairs. The first entries are compared.

Definition at line 33 of file Ranking.h.